%define api 1.0
%define major 0
%define libname %mklibname %name %api %major
%define develname %mklibname -d %name
%define __libtoolize    /bin/true

Summary:        GUPnP-UI is a collection of helpers for adding ui to upnp apps
Summary(de):	GUPnP-UI ist eine Sammlung von Helfers zum hinzufügen von UI zu upnp Anwendungen
Name:           gupnp-ui
Version:        0.1.1
Release:        %mkrel 2
Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.gupnp.org/
Source:         http://www.gupnp.org/sources/%{name}/%{name}-%{version}.tar.gz
Patch0:         gupnp-ui-testapp.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  gssdp-devel gupnp-devel gtk2-devel libsoup-devel
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1


%description
GUPnP is an object-oriented open source framework for creating UPnP 
devices and control points, written in C using GObject and libsoup. 
The GUPnP API is intended to be easy to use, efficient and flexible. 

GUPnP-UI is a collection of helpers for building user interface
application components for gupnp applications.

#german
%description -l de
GUPnP ist ein Objekt orientiertes Open Source Framework für UPnP Geräte 
und Kontrollpunkte, geschrieben in C unter Nutzung von GObject und libsoup.
Das GUPnP API ist in der Tat einfach zu nutzen, dabei effizient und flexibel.  

GUPnP-UI ist eine Ansammlung von Helfer zum erstellen von Benutzer 
Schnittstellen Anwendungen unter gupnp Anwendungen.


%package -n %libname
Summary: GUPnP-UI is a collection of helpers for adding ui to upnp apps
Summary(de): GUPnP-UI ist eine Sammlung von Helfers zum hinzufügen von UI zu upnp Anwendungen
Group: System/Libraries

%description -n %libname
GUPnP is an object-oriented open source framework for creating UPnP 
devices and control points, written in C using GObject and libsoup. 
The GUPnP API is intended to be easy to use, efficient and flexible. 

GUPnP-UI is a collection of helpers for building user interface
application components for gupnp applications.


#german
%description -n %libname -l de
GUPnP ist ein Objekt orientiertes Open Source Framework für UPnP Geräte 
und Kontrollpunkte, geschrieben in C unter Nutzung von GObject und libsoup.
Das GUPnP API ist in der Tat einfach zu nutzen, dabei effizient und flexibel.  

GUPnP-UI ist eine Ansammlung von Helfer zum erstellen von Benutzer 
Schnittstellen Anwendungen unter gupnp Anwendungen.


%package -n %develname
Summary: Development package for %{name}
Summary(de):	Entwickler Paket für %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}


%description -n %develname
Files for development with %{name}.


#german
%description -n %develname -l de
Entwickler PAket zum erstellen neuer Anwendungen unter/mit %{name}.


%prep
%setup -q
%patch0 -p1 -b .testapp

%build
%configure2_5x --disable-static

%make 

%install
rm -rf %{buildroot}
%makeinstall_std 


%clean
rm -rf %{buildroot}

%post -n %libname
/sbin/ldconfig

%postun -n %libname
/sbin/ldconfig

%files -n %libname
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/libgupnp-ui-%api.so.%{major}*
%{_libdir}/libgupnp-ui-%api.so.0.0.%{major}*

%files -n %develname
%defattr(-,root,root,-)
%dir %{_includedir}/gupnp-ui-%api
%{_includedir}/gupnp-ui-%api/libgupnp-ui
%{_libdir}/pkgconfig/gupnp-ui-%api.pc
%{_libdir}/libgupnp-ui-%api.so
%{_libdir}/libgupnp-ui-%api.la
%{_datadir}/gtk-doc/html/%{name}


%changelog
* Thu Dec 24 2009 Texstar <texstar at gmail.com> 0.1.1-2pclos2010
- rebuild

* Sat Nov 21 2009 slick50 <lxgator@gmail.com> 0.1.1-1pclos2010
- initial build
